Method: projects.locations.collections.dataStores.updateDocumentProcessingConfig

עדכון של DocumentProcessingConfig. ‫DocumentProcessingConfig הוא משאב יחיד של DataStore. הוא ריק כשיוצרים את DataStore. הקריאה הראשונה ל-method הזו תגדיר את DocumentProcessingConfig.

פרמטר השאילתה updateMask לא נתמך. אם הוא מוגדר, הבקשה מחזירה שגיאה. כדי לעדכן שדות שניתנים לשינוי, משמיטים את updateMask ושולחים את DocumentProcessingConfig המלא כגוף הבקשה. כל המשאב נכתב מחדש, לכן צריך לכלול את כל הערכים שרוצים לשמור. לדוגמה, כדי לעדכן את מנתח הפריסה, מגדירים את DocumentProcessingConfig.default_parsing_config (או DocumentProcessingConfig.parsing_config_overrides) ומשמיטים את updateMask. יש שדות שלא ניתן לשנות, כמו DocumentProcessingConfig.chunking_config, ואם מנסים לשנות אותם, המערכת מחזירה שגיאה.

בקשת HTTP

PATCH https://discoveryengine.googleapis.com/v1alpha/{documentProcessingConfig.name=projects/*/locations/*/collections/*/dataStores/*/documentProcessingConfig}

כתובת ה-URL כתובה בתחביר של gRPC Transcoding.

פרמטרים של נתיב

פרמטרים
documentProcessingConfig.name

string

השם המלא של המשאב של Document Processing Config. פורמט: projects/*/locations/*/collections/*/dataStores/*/documentProcessingConfig

פרמטרים של שאילתה

פרמטרים
updateMask

string (FieldMask format)

לא נתמך. אם הערך של updateMask מוגדר, הבקשה מחזירה את הערך UnsupportedFieldError. כדי לעדכן שדות שניתנים לשינוי, משמיטים את updateMask. לאחר מכן, הערך המלא של DocumentProcessingConfig בגוף הבקשה מחליף את המשאב הקיים. פרטים נוספים מופיעים בתיאור השיטה.

זוהי רשימה מופרדת בפסיקים של שמות שדות שמוגדרים במלואם. דוגמה: "user.displayName,photo"

גוף הבקשה

גוף הבקשה מכיל מופע של DocumentProcessingConfig.

גוף התשובה

אם הפעולה בוצעה ללא שגיאות, גוף התגובה יכיל מופע של DocumentProcessingConfig.

היקפי הרשאות

נדרש אחד מהיקפי ההרשאות הבאים של OAuth:

  • https://www.googleapis.com/auth/cloud-platform
  • https://www.googleapis.com/auth/discoveryengine.readwrite
  • https://www.googleapis.com/auth/discoveryengine.serving.readwrite

ניתן למצוא מידע נוסף כאן: Authentication Overview.

הרשאות IAM

נדרשת הרשאת IAM הבאה במשאב name:

  • discoveryengine.documentProcessingConfigs.update

מידע נוסף מופיע במאמרי העזרה בנושא IAM.